Update Hub

This endpoint allows the users to update information related to an existing hub. The hub ID must be appended to the URL to indicate which Hub will be updated.

curl -X PUT "https://onfleet.com/api/v2/hubs/i4FoP*dTVrdnGqvIVvvA69aB" \
       -u "<your_onfleet_api_key>:" \
       -d '{"name": "change","phone":"+16265551234"}'
onfleet.hubs.update({"i4FoP*dTVrdnGqvIVvvA69aB","name": "change","phone":"+16265551234"})
onfleet.hubs.update({"i4FoP*dTVrdnGqvIVvvA69aB","name": "change","phone":"+16265551234"});
$onfleet->hubs->update("i4FoP*dTVrdnGqvIVvvA69aB",
                       {"name"=> "change","phone"=>"+16265551234"})
{
    "address":
    {
        "apartment": "",
        "city": "Los Angeles",
        "country": "United States",
        "county": "Los Angeles County",
        "name": "VIP customer",
        "number": "1111",
        "postalCode": "90015",
        "state": "California",
        "street": "South Figueroa Street"
    },
    "id": "i4FoP*dTVrdnGqvIVvvA69aB",
    "location":
    [
        -118.2673597,
        34.0430058
    ],
    "name": "change",
    "phone": "+16265551234",
    "teams":
    [
        "kq5MFBzYNWhp1rumJEfGUTqS"
    ]
}